## coq-unimath 20220204

=== Makefile ===
# -*- makefile-gmake -*-
UMAKEFILES += Makefile
ifneq "$(INCLUDE)" "no"
ifeq ($(shell test -f build/Makefile-configuration && echo yes),yes)
UMAKEFILES += build/Makefile-configuration
include build/Makefile-configuration
endif
endif
############################################
# The packages, listed in order by dependency:
PACKAGES += Foundations
PACKAGES += MoreFoundations
PACKAGES += Combinatorics
PACKAGES += Algebra
PACKAGES += NumberSystems
PACKAGES += SyntheticHomotopyTheory
PACKAGES += PAdics
PACKAGES += CategoryTheory
PACKAGES += Bicategories
PACKAGES += Ktheory
PACKAGES += Topology
PACKAGES += RealNumbers
PACKAGES += Tactics
PACKAGES += SubstitutionSystems
PACKAGES += Folds
PACKAGES += HomologicalAlgebra
PACKAGES += AlgebraicGeometry
PACKAGES += Paradoxes
PACKAGES += Induction
############################################
# other user options; see also build/Makefile-configuration-template
BUILD_COQ ?= yes
BUILD_COQIDE ?= no
DEBUG_COQ ?= no
COQBIN ?=
MEMORY_LIMIT ?= 2500000
LIMIT_MEMORY ?= no
############################################
SHOW := $(if $(VERBOSE),@true "",@echo "")
HIDE := $(if $(VERBOSE),,@)
############################################
export COQBIN
############################################

.PHONY: all everything install lc lcp wc describe clean distclean build-coq doc build-coqide html
all: make-summary-files
everything: TAGS all html install
sanity-checks:  check-prescribed-ordering	\
		check-listing-of-proof-files	\
		check-for-change-to-Foundations	\
		check-for-submodule-changes
other-checks:   check-max-line-length

COQIDE_OPTION := no

ifeq "$(BUILD_COQ)" "yes"
COQBIN=sub/coq/bin/
all: build-coq
build-coq: sub/coq/bin/coqc
ifeq "$(BUILD_COQIDE)" "yes"
all: build-coqide
COQIDE_OPTION := opt
endif
endif

COQ_PATH := -Q UniMath UniMath

# override the definition in build/CoqMakefile.make, to eliminate the -utf8 option
COQDOC := coqdoc
COQDOCFLAGS := -interpolate --charset utf-8 $(COQ_PATH)
COQDOC_OPTIONS := -toc $(COQDOCFLAGS) $(COQDOCLIBS) -utf8

PACKAGE_FILES := $(patsubst %, UniMath/%/.package/files, $(PACKAGES))

ifneq "$(INCLUDE)" "no"
include .coq_makefile_output.conf
VFILES := $(COQMF_VFILES)
VOFILES := $(VFILES:.v=.vo)
endif

ifeq ($(BUILD_COQ),yes)
$(VOFILES) : $(COQBIN)coqc
endif

ifeq ($(LIMIT_MEMORY),yes)
EFFECTIVE_MEMORY_LIMIT = $(MEMORY_LIMIT)
else
EFFECTIVE_MEMORY_LIMIT = unlimited
endif

all html install uninstall $(VOFILES): build/CoqMakefile.make
	ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ; $(MAKE) -f build/CoqMakefile.make $@
clean:: build/CoqMakefile.make; $(MAKE) -f build/CoqMakefile.make $@
distclean:: build/CoqMakefile.make; $(MAKE) -f build/CoqMakefile.make cleanall archclean

WARNING_FLAGS := -notation-overridden
OTHERFLAGS += $(MOREFLAGS)
OTHERFLAGS += -noinit -indices-matter -type-in-type -w '\'"$(WARNING_FLAGS)"\''
ifeq ($(VERBOSE),yes)
OTHERFLAGS += -verbose
endif
ENHANCEDDOCTARGET = enhanced-html
ENHANCEDDOCSOURCE = util/enhanced-doc
LATEXDIR = latex
COQDOCLATEXOPTIONS := -latex -utf8 --body-only

DEFINERS := 
DEFINERS := $(DEFINERS)Axiom\|
DEFINERS := $(DEFINERS)Class\|
DEFINERS := $(DEFINERS)Coercion\|
DEFINERS := $(DEFINERS)CoFixpoint\|
DEFINERS := $(DEFINERS)CoInductive\|
DEFINERS := $(DEFINERS)Corollary\|
DEFINERS := $(DEFINERS)Definition\|
DEFINERS := $(DEFINERS)Example\|
DEFINERS := $(DEFINERS)Fact\|
DEFINERS := $(DEFINERS)Fixpoint\|
DEFINERS := $(DEFINERS)Function\|
DEFINERS := $(DEFINERS)Identity[[:space:]]+Coercion\|
DEFINERS := $(DEFINERS)Inductive\|
DEFINERS := $(DEFINERS)Instance\|
DEFINERS := $(DEFINERS)Lemma\|
DEFINERS := $(DEFINERS)Ltac\|
DEFINERS := $(DEFINERS)Module[[:space:]]+Import\|
DEFINERS := $(DEFINERS)Module\|
DEFINERS := $(DEFINERS)Notation\|
DEFINERS := $(DEFINERS)Proposition\|
DEFINERS := $(DEFINERS)Record\|
DEFINERS := $(DEFINERS)Remark\|
DEFINERS := $(DEFINERS)Scheme[[:space:]]+Equality[[:space:]]+for\|
DEFINERS := $(DEFINERS)Scheme[[:space:]]+Induction[[:space:]]+for\|
DEFINERS := $(DEFINERS)Scheme\|
DEFINERS := $(DEFINERS)Structure\|
DEFINERS := $(DEFINERS)Theorem\|
DEFINERS := $(DEFINERS)Universe

MODIFIERS := 
MODIFIERS := $(MODIFIERS)Canonical\|
MODIFIERS := $(MODIFIERS)Monomorphic\|
MODIFIERS := $(MODIFIERS)Global\|
MODIFIERS := $(MODIFIERS)Local\|
MODIFIERS := $(MODIFIERS)Private\|
MODIFIERS := $(MODIFIERS)Program\|

COQDEFS := --language=none											\
	-r '/^[ \t]*\(\($(MODIFIERS)\)[ \t]+\)?\($(DEFINERS)\)[ \t]+\([0-9A-Za-z'\''_]+\)/\4/'			\
	-r "/^[ \t]*Notation.* \"'\([0-9A-Za-z'\''_]+\)'/\1/"							\
	-r '/^[ \t]*Tactic[ \t]+Notation.*[ \t]"\([0-9A-Za-z'\''_]+\)"[ \t]/\1/'				\
	-r '/^[ \t]*Delimit[ \t]+Scope[ \t]+[0-9A-Za-z'\''_]+[ \t]+with[ \t]+\([0-9A-Za-z'\''_]+\)[ \t]*\./\1/'

# this function reverses the order of items in a list
reverse = $(if $(1),$(call reverse,$(wordlist 2,$(words $(1)),$(1)))) $(firstword $(1))

$(foreach P,$(PACKAGES),$(eval TAGS-$P: Makefile $(filter UniMath/$P/%,$(VFILES)); etags $(COQDEFS) -o $$@ $$^))
TAGS : Makefile $(PACKAGE_FILES) $(VFILES)
	$(SHOW)ETAGS
	$(HIDE)etags $(COQDEFS) $(VFILES)
FILES_FILTER := grep -vE '^[ \t]*(\#.*)?$$'
FILES_FILTER_2 := grep -vE '^[ \t]*(\#.*)?$$$$'
$(foreach P,$(PACKAGES),												\
	$(eval $P: make-summary-files build/CoqMakefile.make;								\
		+ ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ;									\
		  $(MAKE) -f build/CoqMakefile.make									\
			$(shell <UniMath/$P/.package/files $(FILES_FILTER) |sed "s=^\(.*\).v=UniMath/$P/\1.vo=" )	\
			UniMath/$P/All.vo))

$(foreach v,$(VFILES), $(eval $v.vo:; ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ; $(MAKE) -f build/CoqMakefile.make $v.vo))

install:all
coqwc:; coqwc $(VFILES)
lc:; wc -l $(VFILES)
lcp:; for i in $(PACKAGES) ; do echo ; echo ==== $$i ==== ; for f in $(VFILES) ; do echo "$$f" ; done | grep "UniMath/$$i" | xargs wc -l ; done
wc:; wc -w $(VFILES)
admitted: 
	grep --color=auto Admitted $(VFILES)
axiom:
	grep --color=auto "Axiom " $(VFILES)
describe:; git describe --dirty --long --always --abbrev=40 --all
.coq_makefile_input: $(PACKAGE_FILES) $(UMAKEFILES)
	@echo --- making $@ ; ( \
	echo '# -*- makefile-gmake -*-' ;\
	echo ;\
	echo '# DO NOT EDIT THIS FILE!' ;\
	echo '# It is made by automatically (by code in Makefile)' ;\
	echo ;\
	echo 'INSTALLDEFAULTROOT = UniMath';\
	echo ;\
	echo '$(COQ_PATH)' ;\
	echo '-arg "$(OTHERFLAGS)"' ;\
	echo ;\
	for i in $(PACKAGES) ;\
	do <UniMath/$$i/.package/files $(FILES_FILTER) |sed "s=^=UniMath/$$i/="  ;\
	   echo UniMath/$$i/All.v ;\
	done ;\
	echo UniMath/All.v ;\
	echo ;\
	echo '# Local ''Variables:' ;\
	echo '# compile-command: "$(COQBIN)coq_makefile -f .coq_makefile_input -o CoqMakefile.make.tmp && mv CoqMakefile.make.tmp build/CoqMakefile.make"' ;\
	echo '# End:' ;\
	) >$@
# the '' above prevents emacs from mistaking the lines above as providing local variables when visiting this file

ifdef COQBIN
build/CoqMakefile.make .coq_makefile_output.conf: $(COQBIN)coq_makefile
else
build/CoqMakefile.make .coq_makefile_output.conf: $(shell command -v coq_makefile)
endif
build/CoqMakefile.make .coq_makefile_output.conf: .coq_makefile_input
	$(COQBIN)coq_makefile -f .coq_makefile_input -o .coq_makefile_output
	mv .coq_makefile_output build/CoqMakefile.make

# "clean::" occurs also in build/CoqMakefile.make, hence both colons
clean::
	rm -f .coq_makefile_input .coq_makefile_output .coq_makefile_output.conf build/CoqMakefile.make COQC.log
	find UniMath \( -name .\*.aux -o -name \*.glob -o -name \*.d -o -name \*.vo \) -delete
	find UniMath -type d -empty -delete
clean::; rm -rf $(ENHANCEDDOCTARGET)
latex-clean clean::; cd $(LATEXDIR) ; rm -f *.pdf *.tex *.log *.aux *.out *.blg *.bbl

distclean:: clean
distclean::          ; - $(MAKE) -C sub/coq distclean
distclean::          ; rm -f build/Makefile-configuration
distclean::          ; - $(MAKE) -C sub/lablgtk arch-clean

#############################################################################
# building coq:
export PATH:=$(shell pwd)/sub/coq/bin:$(PATH)
CONFIGURE_OPTIONS := -coqide "$(COQIDE_OPTION)" -with-doc no -local -no-custom
BUILD_TARGETS := coqbinaries tools states ltac
ifeq ($(DEBUG_COQ),yes)
CONFIGURE_OPTIONS += -annot
BUILD_TARGETS += byte
BUILD_OPTIONS += VERBOSE=true
BUILD_OPTIONS += READABLE_ML4=yes
endif
ifeq ($(BUILD_COQIDE),yes)
BUILD_TARGETS += coqide-files bin/coqide
endif
sub/coq/configure.ml:
	git submodule update --init sub/coq
sub/coq/config/coq_config.ml: sub/coq/configure.ml
	@echo --- making $@ because of $?
	cd sub/coq && ./configure $(CONFIGURE_OPTIONS)
sub/coq/bin/coq_makefile sub/coq/bin/coqc: sub/coq/config/coq_config.ml
.PHONY: rebuild-coq
rebuild-coq sub/coq/bin/coq_makefile sub/coq/bin/coqc:
	$(MAKE) -w -C sub/coq $(BUILD_OPTIONS) $(BUILD_TARGETS)
ifeq ($(DEBUG_COQ),yes)
	$(MAKE) -w -C sub/coq tags
endif
#############################################################################

git-describe:
	git describe --dirty --long --always --abbrev=40
	git submodule foreach git describe --dirty --long --always --abbrev=40 --tags
doc: $(GLOBFILES) $(VFILES) 
	mkdir -p $(ENHANCEDDOCTARGET)
	cp $(ENHANCEDDOCSOURCE)/proofs-toggle.js $(ENHANCEDDOCTARGET)/proofs-toggle.js
	$(SHOW)COQDOC
	$(HIDE)$(COQDOC)							\
	    -toc $(COQDOCFLAGS) -html $(COQDOCLIBS) -d $(ENHANCEDDOCTARGET)	\
	    --with-header $(ENHANCEDDOCSOURCE)/header.html			\
	    $(VFILES)
	sed -i'.bk' -f $(ENHANCEDDOCSOURCE)/proofs-toggle.sed $(ENHANCEDDOCTARGET)/*html

# Jason Gross' coq-tools bug isolator:
# The isolated bug will appear in this file, in the UniMath directory:
ISOLATED_BUG_FILE := isolated_bug.v
# To use it, run something like this command in an interactive shell:
#     make isolate-bug BUGGY_FILE=Foundations/Basics/PartB.v
sub/coq-tools/find-bug.py:
	git submodule update --init sub/coq-tools
help-find-bug:
	sub/coq-tools/find-bug.py --help
isolate-bug: sub/coq-tools/find-bug.py
	cd UniMath &&												\
	rm -f $(ISOLATED_BUG_FILE) &&										\
	../sub/coq-tools/find-bug.py --coqbin ../sub/coq/bin -R . UniMath					\
		--arg " -indices-matter"									\
		--arg " -type-in-type"										\
		--arg " -noinit"										\
		--arg " -indices-matter"									\
		--arg " -type-in-type"										\
		--arg " -w"											\
		--arg " -notation-overridden,-local-declaration,+uniform-inheritance,-deprecated-option"	\
		$(BUGGY_FILE) $(ISOLATED_BUG_FILE)
	@echo "==="
	@echo "=== the isolated bug has been deposited in the file UniMath/$(ISOLATED_BUG_FILE)"
	@echo "==="

world: all html doc latex-doc

latex-doc: $(LATEXDIR)/doc.pdf

$(LATEXDIR)/doc.pdf : $(LATEXDIR)/helper.tex $(LATEXDIR)/references.bib $(LATEXDIR)/latex-preamble.txt $(LATEXDIR)/helper.tex $(LATEXDIR)/latex-epilogue.txt
	cd $(LATEXDIR) && cat latex-preamble.txt helper.tex latex-epilogue.txt > doc.tex
	cd $(LATEXDIR) && latexmk -pdf -interaction=nonstopmode doc

$(LATEXDIR)/coqdoc.sty $(LATEXDIR)/helper.tex : $(VFILES:.v=.glob) $(VFILES)
	$(COQDOC) $(COQ_PATH) $(COQDOC_OPTIONS) $(COQDOCLATEXOPTIONS) $(VFILES) -o $@

.PHONY: check-max-line-length
check-max-line-length:
	LC_ALL="en_US.UTF-8" gwc -L $(VFILES) | grep -vw total | awk '{ if ($$1 > 100) { printf "%6d  %s\n", $$1, $$2 }}' | sort -r | grep .
show-long-lines:
	LC_ALL="en_US.UTF-8" grep -nE '.{101}' $(VFILES)

# here we assume the shell is bash, which it usually is nowadays, so we can get associative arrays:
SHELL = bash
check-prescribed-ordering: .check-prescribed-ordering.okay
clean::; rm -f .check-prescribed-ordering.okay

# The ordering check assumes Coq version ≥8.8, and gives up otherwise.  (Prior to 8.8, dependency files *.d were handled differently.)
VDFILE := ..coq_makefile_output.d
clean::; rm -f $(VDFILE)
ifeq ($(shell test -f build/CoqMakefile.make && grep -q ^VDFILE build/CoqMakefile.make && echo yes),yes)
# Coq >= 8.8
DEPFILES := $(VDFILE)
.check-prescribed-ordering.okay: Makefile $(DEPFILES) $(PACKAGE_FILES)
	@echo "--- checking the ordering prescribed by the files UniMath/*/.packages/files ---"
	@set -e ;														    \
	if declare -A seqnum 2>/dev/null ;											    \
	then n=0 ;														    \
	     for i in $(VOFILES) ;												    \

=== debian/changelog ===
coq-unimath (20220204-1) unstable; urgency=medium

  * Initial release. (Closes: #1014997)

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Jul 2022 08:03:44 +0200

## coq-unimath 20220816

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 PACKAGES += Induction
 ############################################
 # other user options; see also build/Makefile-configuration-template
-BUILD_COQ ?= yes
+BUILD_COQ ?= no
 BUILD_COQIDE ?= no
 DEBUG_COQ ?= no
 COQBIN ?=
@@ -42,14 +42,17 @@
 export COQBIN
 ############################################
 
-.PHONY: all everything install lc lcp wc describe clean distclean build-coq doc build-coqide html
-all: make-summary-files
+.PHONY: all everything install lc lcp wc describe clean distclean build-coq doc build-coqide html sanity-checks other-checks
+.PHONY all: make-summary-files
 everything: TAGS all html install
-sanity-checks:  check-prescribed-ordering	\
-		check-listing-of-proof-files	\
-		check-for-change-to-Foundations	\
+.PHONY sanity-checks:  check-prescribed-ordering	\
+		check-listing-of-proof-files		\
+		check-for-change-to-Foundations		\
 		check-for-submodule-changes
-other-checks:   check-max-line-length
+.PHONY other-checks:   check-max-line-length
+
+# empty target prevents implicit rule search, saving time
+Makefile :;
 
 COQIDE_OPTION := no
 
@@ -88,10 +91,14 @@
 EFFECTIVE_MEMORY_LIMIT = unlimited
 endif
 
-all html install uninstall $(VOFILES): build/CoqMakefile.make
+install: build/CoqMakefile.make
 	ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ; $(MAKE) -f build/CoqMakefile.make $@
-clean:: build/CoqMakefile.make; $(MAKE) -f build/CoqMakefile.make $@
-distclean:: build/CoqMakefile.make; $(MAKE) -f build/CoqMakefile.make cleanall archclean
+all html uninstall: build/CoqMakefile.make
+	ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ; $(MAKE) -f build/CoqMakefile.make $@
+clean:: build/CoqMakefile.make
+	$(MAKE) -f build/CoqMakefile.make $@
+distclean:: build/CoqMakefile.make
+	$(MAKE) -f build/CoqMakefile.make cleanall archclean
 
 WARNING_FLAGS := -notation-overridden
 OTHERFLAGS += $(MOREFLAGS)
@@ -164,7 +171,7 @@
 			$(shell <UniMath/$P/.package/files $(FILES_FILTER) |sed "s=^\(.*\).v=UniMath/$P/\1.vo=" )	\
 			UniMath/$P/All.vo))
 
-$(foreach v,$(VFILES), $(eval $v.vo:; ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ; $(MAKE) -f build/CoqMakefile.make $v.vo))
+$(foreach v,$(VFILES), $(eval $v.vo: $v.v; ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ; $(MAKE) -f build/CoqMakefile.make $v.vo))
 
 install:all
 coqwc:; coqwc $(VFILES)
@@ -202,8 +209,6 @@
 
 ifdef COQBIN
 build/CoqMakefile.make .coq_makefile_output.conf: $(COQBIN)coq_makefile
-else
-build/CoqMakefile.make .coq_makefile_output.conf: $(shell command -v coq_makefile)
 endif
 build/CoqMakefile.make .coq_makefile_output.conf: .coq_makefile_input
 	$(COQBIN)coq_makefile -f .coq_makefile_input -o .coq_makefile_output
@@ -220,7 +225,6 @@
 distclean:: clean
 distclean::          ; - $(MAKE) -C sub/coq distclean
 distclean::          ; rm -f build/Makefile-configuration
-distclean::          ; - $(MAKE) -C sub/lablgtk arch-clean
 
 #############################################################################
 # building coq:
@@ -253,7 +257,7 @@
 git-describe:
 	git describe --dirty --long --always --abbrev=40
 	git submodule foreach git describe --dirty --long --always --abbrev=40 --tags
-doc: $(GLOBFILES) $(VFILES) 
+doc: $(GLOBFILES)
 	mkdir -p $(ENHANCEDDOCTARGET)
 	cp $(ENHANCEDDOCSOURCE)/proofs-toggle.js $(ENHANCEDDOCTARGET)/proofs-toggle.js
 	$(SHOW)COQDOC
@@ -320,5 +324,3 @@
 	@echo "--- checking the ordering prescribed by the files UniMath/*/.packages/files ---"
 	@set -e ;														    \
 	if declare -A seqnum 2>/dev/null ;											    \
-	then n=0 ;														    \
-	     for i in $(VOFILES) ;												    \

=== debian/changelog ===
coq-unimath (20220816-2build1) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Jan 2023 14:01:17 +0100

coq-unimath (20220816-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 12:46:00 +0100

coq-unimath (20220816-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Aug 2022 09:29:37 +0200

=== debian/control ===
Source: coq-unimath
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-core-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-unimath
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-unimath.git
Homepage: https://github.com/UniMath/UniMath

Package: libcoq-unimath
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: univalent formalization of mathematics for Coq
 This package provides a library to formalize a substantial body
 of mathematics using the univalent point of view.
 .
 Coq is a proof assistant for higher-order logic.

## coq-unimath 20230420

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 PACKAGES += MoreFoundations
 PACKAGES += Combinatorics
 PACKAGES += Algebra
+PACKAGES += Tactics
 PACKAGES += NumberSystems
 PACKAGES += SyntheticHomotopyTheory
 PACKAGES += PAdics
@@ -20,13 +21,13 @@
 PACKAGES += Ktheory
 PACKAGES += Topology
 PACKAGES += RealNumbers
-PACKAGES += Tactics
 PACKAGES += SubstitutionSystems
 PACKAGES += Folds
 PACKAGES += HomologicalAlgebra
 PACKAGES += AlgebraicGeometry
 PACKAGES += Paradoxes
 PACKAGES += Induction
+PACKAGES += AlgebraicTheories
 ############################################
 # other user options; see also build/Makefile-configuration-template
 BUILD_COQ ?= no
@@ -48,7 +49,8 @@
 .PHONY sanity-checks:  check-prescribed-ordering	\
 		check-listing-of-proof-files		\
 		check-for-change-to-Foundations		\
-		check-for-submodule-changes
+		check-for-submodule-changes		\
+		check-for-changes-to-CONTENTS.md
 .PHONY other-checks:   check-max-line-length
 
 # empty target prevents implicit rule search, saving time
@@ -165,7 +167,7 @@
 FILES_FILTER := grep -vE '^[ \t]*(\#.*)?$$'
 FILES_FILTER_2 := grep -vE '^[ \t]*(\#.*)?$$$$'
 $(foreach P,$(PACKAGES),												\
-	$(eval $P: make-summary-files build/CoqMakefile.make;								\
+	$(eval $P: make-summary-files build/CoqMakefile.make UniMath/.dir-locals.el;								\
 		+ ulimit -v $(EFFECTIVE_MEMORY_LIMIT) ;									\
 		  $(MAKE) -f build/CoqMakefile.make									\
 			$(shell <UniMath/$P/.package/files $(FILES_FILTER) |sed "s=^\(.*\).v=UniMath/$P/\1.vo=" )	\
@@ -229,8 +231,8 @@
 #############################################################################
 # building coq:
 export PATH:=$(shell pwd)/sub/coq/bin:$(PATH)
-CONFIGURE_OPTIONS := -coqide "$(COQIDE_OPTION)" -with-doc no -local -no-custom
-BUILD_TARGETS := coqbinaries tools states ltac
+CONFIGURE_OPTIONS := -coqide "$(COQIDE_OPTION)" -with-doc no -prefix $(shell pwd)
+BUILD_TARGETS := coqbinaries tools states coq
 ifeq ($(DEBUG_COQ),yes)
 CONFIGURE_OPTIONS += -annot
 BUILD_TARGETS += byte
@@ -249,6 +251,7 @@
 .PHONY: rebuild-coq
 rebuild-coq sub/coq/bin/coq_makefile sub/coq/bin/coqc:
 	$(MAKE) -w -C sub/coq $(BUILD_OPTIONS) $(BUILD_TARGETS)
+	$(MAKE) -w -C sub/coq install
 ifeq ($(DEBUG_COQ),yes)
 	$(MAKE) -w -C sub/coq tags
 endif
@@ -321,6 +324,3 @@
 # Coq >= 8.8
 DEPFILES := $(VDFILE)
 .check-prescribed-ordering.okay: Makefile $(DEPFILES) $(PACKAGE_FILES)
-	@echo "--- checking the ordering prescribed by the files UniMath/*/.packages/files ---"
-	@set -e ;														    \
-	if declare -A seqnum 2>/dev/null ;											    \

=== debian/changelog ===
coq-unimath (20230420-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Jun 2023 10:43:10 +0200

coq-unimath (20230420-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:34:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom UniMath All
Restrictions: allow-stderr
Depends: coq, @

## coq-unimath 20231010

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 PACKAGES += NumberSystems
 PACKAGES += SyntheticHomotopyTheory
 PACKAGES += PAdics
+PACKAGES += OrderTheory
 PACKAGES += CategoryTheory
 PACKAGES += Bicategories
 PACKAGES += Ktheory
@@ -28,6 +29,7 @@
 PACKAGES += Paradoxes
 PACKAGES += Induction
 PACKAGES += AlgebraicTheories
+PACKAGES += Semantics
 ############################################
 # other user options; see also build/Makefile-configuration-template
 BUILD_COQ ?= no

=== debian/changelog ===
coq-unimath (20231010-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:15:36 +0200

coq-unimath (20231010-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:56:14 +0000

coq-unimath (20231010-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:15:42 +0000

coq-unimath (20231010-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044146)
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 16:37:29 +0100

coq-unimath (20230420-4) unstable; urgency=medium

  * Re-enable 32-bits architectures using upstream patch.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 21 Jun 2023 09:50:31 +0200

coq-unimath (20230420-3) unstable; urgency=medium

  * Drop 32-bits architecture (too big for the VM there) (Closes: #1038450).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 20 Jun 2023 14:21:21 +0200

coq-unimath (20230420-2) unstable; urgency=medium

  * Add a versioned depend on coq 8.17 (Closes: #1038382).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 17 Jun 2023 15:37:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: coq-unimath
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: coq,
+Build-Depends: coq (>= 8.17),
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	make clean
	rm -f UniMath/.dir-locals.el
	cp UniMath/CategoryTheory/categories/HSET/All.v All1.v
	cp UniMath/CategoryTheory/Chains/All.v All2.v
	find . -name All.v -delete
	mv All1.v UniMath/CategoryTheory/categories/HSET/All.v
	mv All2.v UniMath/CategoryTheory/Chains/All.v

override_dh_auto_test:
	# doesn't work

override_dh_auto_build:
	make BUILD_COQ=no

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp BUILD_COQ=no make install

## coq-unimath 20240331

=== debian/changelog ===
coq-unimath (20240331-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Jun 2024 16:35:42 +0200

coq-unimath (20240331-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 May 2024 20:21:18 +0200

coq-unimath (20240331-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 22:10:38 +0200

coq-unimath (20240331-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 10 Apr 2024 09:29:16 +0200

coq-unimath (20240321-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 09:42:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 override_dh_auto_clean:
 	make clean
 	rm -f UniMath/.dir-locals.el
-	cp UniMath/CategoryTheory/categories/HSET/All.v All1.v
+	cp UniMath/CategoryTheory/Categories/HSET/All.v All1.v
 	cp UniMath/CategoryTheory/Chains/All.v All2.v
 	find . -name All.v -delete
-	mv All1.v UniMath/CategoryTheory/categories/HSET/All.v
+	mv All1.v UniMath/CategoryTheory/Categories/HSET/All.v
 	mv All2.v UniMath/CategoryTheory/Chains/All.v
 
 override_dh_auto_test:

## coq-unimath 20240923

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 PACKAGES += PAdics
 PACKAGES += OrderTheory
 PACKAGES += CategoryTheory
+PACKAGES += ModelCategories
 PACKAGES += Bicategories
 PACKAGES += Ktheory
 PACKAGES += Topology
@@ -115,7 +116,7 @@
 LATEXDIR = latex
 COQDOCLATEXOPTIONS := -latex -utf8 --body-only
 
-DEFINERS := 
+DEFINERS :=
 DEFINERS := $(DEFINERS)Axiom\|
 DEFINERS := $(DEFINERS)Class\|
 DEFINERS := $(DEFINERS)Coercion\|
@@ -145,7 +146,7 @@
 DEFINERS := $(DEFINERS)Theorem\|
 DEFINERS := $(DEFINERS)Universe
 
-MODIFIERS := 
+MODIFIERS :=
 MODIFIERS := $(MODIFIERS)Canonical\|
 MODIFIERS := $(MODIFIERS)Monomorphic\|
 MODIFIERS := $(MODIFIERS)Global\|
@@ -182,7 +183,7 @@
 lc:; wc -l $(VFILES)
 lcp:; for i in $(PACKAGES) ; do echo ; echo ==== $$i ==== ; for f in $(VFILES) ; do echo "$$f" ; done | grep "UniMath/$$i" | xargs wc -l ; done
 wc:; wc -w $(VFILES)
-admitted: 
+admitted:
 	grep --color=auto Admitted $(VFILES)
 axiom:
 	grep --color=auto "Axiom " $(VFILES)
@@ -325,4 +326,3 @@
 ifeq ($(shell test -f build/CoqMakefile.make && grep -q ^VDFILE build/CoqMakefile.make && echo yes),yes)
 # Coq >= 8.8
 DEPFILES := $(VDFILE)
-.check-prescribed-ordering.okay: Makefile $(DEPFILES) $(PACKAGE_FILES)

=== debian/changelog ===
coq-unimath (20240923-2) unstable; urgency=medium

  * Unbreak autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 25 Nov 2024 10:37:16 +0100

coq-unimath (20240923-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:50:23 +0100

coq-unimath (20240331-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml
  * Use makefile DH buildsystem (to parallelize)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 06:32:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: coq-unimath
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq (>= 8.17),
                debhelper-compat (= 13),

=== debian/watch ===
version=4
https://github.com/UniMath/UniMath/tags .*/v?([\d\.+]+).tar.gz

## coq-unimath 20250923

=== Makefile ===
--- 
+++ 
@@ -52,8 +52,7 @@
 .PHONY sanity-checks:  check-prescribed-ordering	\
 		check-listing-of-proof-files		\
 		check-for-change-to-Foundations		\
-		check-for-submodule-changes		\
-		check-for-changes-to-CONTENTS.md
+		check-for-submodule-changes
 .PHONY other-checks:   check-max-line-length
 
 # empty target prevents implicit rule search, saving time
@@ -107,7 +106,7 @@
 
 WARNING_FLAGS := -notation-overridden
 OTHERFLAGS += $(MOREFLAGS)
-OTHERFLAGS += -noinit -indices-matter -type-in-type -w '\'"$(WARNING_FLAGS)"\''
+OTHERFLAGS += -noinit -indices-matter -w '\'"$(WARNING_FLAGS)"\''
 ifeq ($(VERBOSE),yes)
 OTHERFLAGS += -verbose
 endif
@@ -287,10 +286,8 @@
 	rm -f $(ISOLATED_BUG_FILE) &&										\
 	../sub/coq-tools/find-bug.py --coqbin ../sub/coq/bin -R . UniMath					\
 		--arg " -indices-matter"									\
-		--arg " -type-in-type"										\
 		--arg " -noinit"										\
 		--arg " -indices-matter"									\
-		--arg " -type-in-type"										\
 		--arg " -w"											\
 		--arg " -notation-overridden,-local-declaration,+uniform-inheritance,-deprecated-option"	\
 		$(BUGGY_FILE) $(ISOLATED_BUG_FILE)
@@ -326,3 +323,6 @@
 ifeq ($(shell test -f build/CoqMakefile.make && grep -q ^VDFILE build/CoqMakefile.make && echo yes),yes)
 # Coq >= 8.8
 DEPFILES := $(VDFILE)
+.check-prescribed-ordering.okay: Makefile $(DEPFILES) $(PACKAGE_FILES)
+	@echo "--- checking the ordering prescribed by the files UniMath/*/.packages/files ---"
+	@set -e;\

=== debian/changelog ===
coq-unimath (20250923-2) experimental; urgency=medium

  * Strenghten depends on coq/rocq.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Nov 2025 18:36:32 +0100

coq-unimath (20250923-1) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 09:34:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq (>= 8.17),
+Build-Depends: coq (>= 9),
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
+export DEB_BUILD_OPTIONS += noautodbgsym
+
 %:
-	dh $@ --with coq,ocaml
+	dh $@ --with coq,ocaml --buildsystem makefile
 
 override_dh_auto_clean:
 	make clean
@@ -18,7 +20,7 @@
 	# doesn't work
 
 override_dh_auto_build:
-	make BUILD_COQ=no
+	dh_auto_build -- BUILD_COQ=no
 
 override_dh_auto_install:
 	DESTDIR=$(CURDIR)/debian/tmp BUILD_COQ=no make install
